Create a secret group
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/secret-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"integrationId": "<string>",
"secrets": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'{
"data": {
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"associatedSecrets": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"secretGroupId": "<string>",
"value": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretVersions": [
{
"id": "<string>",
"fqn": "<string>",
"value": "<string>",
"version": 123,
"secret": null,
"secretId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeDeploymentsCount": 123,
"createdBy": "<string>"
}
],
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"fqn": "<string>",
"integrationId": "<string>",
"manifest": {},
"createdBy": "<string>"
}
}Secret Groups
Create a secret group
Create a secret group with initial secrets.
POST
/
api
/
svc
/
v1
/
secret-groups
Create a secret group
curl --request POST \
--url https://{controlPlaneURL}/api/svc/v1/secret-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"integrationId": "<string>",
"secrets": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'{
"data": {
"tenantName": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"associatedSecrets": [
{
"id": "<string>",
"fqn": "<string>",
"name": "<string>",
"secretGroupId": "<string>",
"value": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>",
"subjectPatName": "<string>",
"subjectControllerName": "<string>",
"subjectExternalIdentitySlug": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"secretVersions": [
{
"id": "<string>",
"fqn": "<string>",
"value": "<string>",
"version": 123,
"secret": null,
"secretId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"activeDeploymentsCount": 123,
"createdBy": "<string>"
}
],
"accountId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"fqn": "<string>",
"integrationId": "<string>",
"manifest": {},
"createdBy": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
The created secret group.
Secret Group
Show child attributes
Show child attributes
Was this page helpful?
⌘I